Bug 444475

Summary: Ubuntu "Hardy Heron" x86_64 hangs in KVM virtualization install
Product: [Fedora] Fedora Reporter: P Rauser <vemcontact>
Component: kvmAssignee: Glauber Costa <gcosta>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 9CC: berrange, clalance, markmc, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 13:55:36 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description P Rauser 2008-04-28 11:31:12 EDT
Description of problem:


Version-Release number of selected component (if applicable):

Fedora 9 Preview Release with updates to 4/28/08

How reproducible:

Bug only appear in X86_64 environment.

Steps to Reproduce:
1. Install virtualization packages
2. Use virt-manager to create a new VM
3. Install Ubuntu 8.04 LTS (aka "Hardy Heron")
  
Actual results:

Installation continues normally until installer hangs on "Executing grub-install
(hd0)"

Expected results:

Ubuntu installs normally.

Additional info:

Ubuntu bug #219165 indicates that a patch to KVM is available & eliminates this
problem when running in Ubuntu environment with patch.
Comment 1 Jeremy Katz 2008-04-28 22:54:02 EDT
Their fix was a quick hack and not something upstreamable according to
http://article.gmane.org/gmane.comp.emulators.kvm.devel/16336.  I'll keep an eye
out for an actual fix being submitted upstream, but as it stands right now, it
doesn't look like there's a fix at the ready.
Comment 2 Bug Zapper 2008-05-14 06:18:55 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 20:29:50 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 13:55:36 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.